> For the complete documentation index, see [llms.txt](https://docs.anedot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.anedot.com/integrations/crm-donor-management/trail-blazer.md).

# Trail Blazer

Connect Anedot to Trail Blazer to sync donation and custom field data for political campaigns and nonprofits. Includes setup steps and relay behavior details.

Connect Anedot to Trail Blazer to sync donation and custom field data for political campaigns and nonprofits. Includes setup steps and relay behavior details.

Trail Blazer is a compliance and reporting platform widely used by political campaigns, PACs, and nonprofits for managing donor data and generating reports. [Click here to learn more about Trail Blazer!](https://www.trailblz.com/)

Anedot’s integration allows you to automatically relay donation data and custom field information from your fundraising efforts directly into Trail Blazer.

> Note: Only financial Action Pages are supported. Lead Pages (non-financial) are not included in relays.

## Connecting Anedot to Trail Blazer

To integrate your Anedot fundraising account with Trail Blazer:

1. Navigate to Settings → Integrations → Directory in your Anedot account.
2. Click the blue + New Connection button in the upper right corner.
3. Select Trail Blazer from the integration directory.
4. Choose the Action Pages you’d like to sync.
   * The default is All Pages.
   * To exclude specific pages, enter their Action Page IDs as a comma-separated list.
5. (Optional) Scope the integration to only include Team-specific data.
6. Enter your Trail Blazer Workspace Name.
7. Click the blue Save button to proceed.
8. You’ll be redirected to Trail Blazer to log in and confirm access.

## Data Relays

### Financial Action Pages

* All **donation details** and **custom field data** are relayed.
* You can use **Push Unsent** to resend failed or unsent relays by specifying a **date range**.

### Non-Financial Pages

* Relays are **not supported** for Lead Pages or other non-financial form types.

### Where To Find Your Data in Trail Blazer

* After a successful relay, donor data will appear in your **Contacts** section within **Trail Blazer IQ**.

## Field Mapping

The Anedot Fields match the Submission Raw Data *(unless specified otherwise in parenthesis)*; the Trail Blazer Fields match the Request Body relay.

| Anedot Field                                                                                     | Trail Blazer Field                                          |
| ------------------------------------------------------------------------------------------------ | ----------------------------------------------------------- |
| donations {id}                                                                                   | uid                                                         |
| address {postal\_code}                                                                           | zip                                                         |
| address {city}                                                                                   | city                                                        |
| date (utc)                                                                                       | date                                                        |
| - amountAllocations {actionPagesFund {id}} Fund Name (from fund) Internal Identifier (from fund) | fund {multiple fields}: {id} {name} {identifier}            |
| paymentMethod {name}                                                                             | name                                                        |
| email                                                                                            | email                                                       |
| phone                                                                                            | phone                                                       |
| address {region}                                                                                 | state                                                       |
| title                                                                                            | title                                                       |
| donations {origin}                                                                               | origin                                                      |
| donations {source}                                                                               | source                                                      |
| donations {status}                                                                               | status                                                      |
| address {line\_1}                                                                                | street                                                      |
| suffix                                                                                           | suffix                                                      |
| address {postal\_code} {city} {region} {line\_1} {country} {line\_2}                             | address {zip} {city} {state} {street} {country} {street\_2} |
| address {country}                                                                                | country                                                     |
| donations {comments}                                                                             | comments                                                    |
| employerName                                                                                     | employer                                                    |
| address {line\_2}                                                                                | street\_2                                                   |
| frequency                                                                                        | frequency                                                   |
| lastName                                                                                         | last\_name                                                  |
| "true/false"                                                                                     | recurring                                                   |
| donations {donorType}                                                                            | donor\_type                                                 |
| firstName                                                                                        | first\_name                                                 |
| occupation                                                                                       | occupation                                                  |
| sourceCode                                                                                       | source\_code                                                |
| donations {checkNumber}                                                                          | check\_number                                               |
| (Donation) totalAmount                                                                           | event\_amount (in dollars)                                  |
| actionPagesCommitment {id}                                                                       | commitment\_id                                              |
| customFieldResponses {multiple fields}                                                           | custom\_fields {multiple fields}                            |
| submission\_id                                                                                   | submission\_id                                              |
| actionPage {id}                                                                                  | action\_page\_id                                            |
| middleInitial                                                                                    | middle\_initial                                             |
| created\_at (utc)                                                                                | processed\_date                                             |
| originating\_uid                                                                                 | originating\_uid                                            |
| amountAllocations {amount} (x100)                                                                | amount\_in\_dollars                                         |
| organization                                                                                     | organization\_name                                          |
| "true/false"                                                                                     | is\_recurring\_commitment                                   |

## Payload Data

### Request Headers

```
{ }
```

### Request Body

```json
{  "uid": "d4d509e9ce2d5cd74c312",  "zip": "33330",  "city": "New Orleans",  "date": "2023-01-11T15:05:23.362Z",  "fund": {    "id": "d4bd7311-3a2e-46ab-95e7-71843083b837",  "name": "General Fund",    "identifier": "gf"  },  "name": "Annie Dot",  "email": "annie@anedot.com",  "items": [],  "phone": "12252501301",  "state": "LA",  "title": null,  "origin": "hosted",  "source": "credit_card",  "status": "completed",  "street": "1340 Poydras Street",  "suffix": null,  "address": {    "zip": "70112",    "city": "New Orleans",    "state": "LA",    "street": "1340 Poydras Street",    "country": "US",    "street_2": ""  },  "country": "US",  "comments": null,  "employer": null,  "street_2": "",  "frequency": "Once",  "last_name": "Dot",  "recurring": false,  "donor_type": "individual",  "first_name": "Annie",  "occupation": null,  "source_code": null,  "campaign_uid": null,  "check_number": null,  "event_amount": "$12.81",  "commitment_id": null,  "custom_fields": {    "Birthday": "2023-01-11T05:00:00.000Z",    "Question": "yes"  },  "submission_id": "bcdbe1ff-1430-47fb-a5fe-7bd0c7f5446d",  "action_page_id": "e750b91e-5462-4b4b-a8fc-f232c24f2a3c",  "middle_initial": null,  "processed_date": "2023-01-11T15:05:23.284Z",  "originating_uid": null,  "amount_in_dollars": 12.0,  "organization_name": null,  "is_recurring_commitment": false}
```

### Response Body *(Success)*

```
"Create Contribution: Successful, ContributionID: 11470"
```

### Response Body *(Failure)*

```
"Create Contribution: Failed"
```

### Response Body *(Error)*

```
{ }
```

### Response Status *(Success)*

```
200
```

### Response Status *(Failure)*

```
400
```

### Response Status *(Error)*

```
null
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.anedot.com/integrations/crm-donor-management/trail-blazer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
